0
$\begingroup$

I have setup an LXD instance with ubuntu 23.10, and tried to compile ros humble from source as described in https://docs.ros.org/en/eloquent/Installation/Linux-Development-Setup.html and the step:

rosdep install --from-paths src --ignore-src --rosdistro humble -y --skip-keys "console_bridge fastcdr fastrtps libopensplice67 libopensplice69 rti-connext-dds-5.3.1 urdfdom_headers"

I get the error:

ignition_math6_vendor: No definition of [ignition-math6] for OS version [mantic] ignition_cmake2_vendor: No definition of [ignition-cmake2] for OS version [mantic] rti_connext_dds_cmake_module: No definition of [rti-connext-dds-6.0.1] for OS version [mantic]

Is there any way to avoid these dependencies? I am sure ignition library could be eliminated, however rti_connext_dds_cmake_module woud needed to be ported.

If anyone interested, we can make a group with a purpose to compile ros2 humble/iron from source on the RPI5.

Any ideas/recomendations/help greatly appreciated.

Best Regards, C.

$\endgroup$

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.